<?php
    chdir(dirname(__FILE__));
    require_once "../../../aliyun-php-sdk-core/Config.php";

    $product = "ImageSearch";
    $region = "<Region>"; // 实例的地域信息，如: cn-shanghai(华东2), ap-southeast-1(亚太东南1) 
    $accessKeyId = "<AccessKeyID>"; // 获取地址: https://ak-console.aliyun.com
    $accessKeySecret = "<AccessKeySecret>";
    $instanceName = "<InstanceName>"; // 购买的图像搜索实例名称，如: imagesearchtest
    $domain = "imagesearch.".$region.".aliyuncs.com"; 
    $profile = DefaultProfile::getProfile($region, $accessKeyId, $accessKeySecret);
    DefaultProfile::addEndPoint($region, $region, $product, $domain);
    $client = new DefaultAcsClient($profile);

    use ImageSearch\Request\V20180120\AddItemRequest;

    $req = new AddItemRequest();

    $req->setinstanceName($instanceName);

    // 读取文件内容
    $sampleFileName = "./1.jpg";
    $content = file_get_contents($sampleFileName);

    $req->setCateId("0");
    $req->setItemId("1234");
    $req->setCustContent("{\"key\":\"value\"}");
    $req->addPicture("cloth1", $content);
    if (!$req->buildPostContent()) {
        return ;
    }

    try {
        $response = $client->getAcsResponse($req);
        print_r($response);
    } catch(ServerException $e) {
        print "Error: " . $e->getErrorCode() . " Message: " . $e->getMessage() . "\n";
    } catch(ClientException $e) {
        print "Error: " . $e->getErrorCode() . " Message: " . $e->getMessage() . "\n";
    }
